<?php
namespace app\friend\loglic;

class Datas
{
    //批量写入插件初始配置
    public function insertConfig()
    {
        return \daicuo\Op::write([
            'theme'                => 'default',
            'theme_wap'            => 'default',
            'index_title'          => '友情链接',
            'index_keywords'       => '友情链接列表,友情链接插件',
            'index_description'    => '欢迎使用呆错友情链接插件，支持免费自助申请！',
            'publish_title'        => '免费申请',
            'publish_keywords'     => '友情链接,自助友情链接,友情链接插件',
            'publish_description'  => '免费申请友情链接前请先做好本站的链接！',
        ],'friend','config','system','0','yes');
    }
    
    //批量添加路由伪静态
    public function insertRoute()
    {
        config('common.validate_name', '');
        
        config('common.validate_scene', '');
        
        config('common.where_slug_unique', false);
        
        return \daicuo\Route::save_all([
            [
                'rule'        => 'friend$',
                'address'     => 'friend/index/index',
                'method'      => 'get',
                'op_module'   => 'friend',
                'op_controll' => 'route',
                'op_action'   => 'system',
            ],
        ]);
    }
    
    //批量添加分类/标签/导航
    public function insertTerm()
    {
        config('custom_fields.term_meta', ['navs_url','navs_active','navs_target']);
        
        config('common.validate_name', '');
        
        config('common.validate_scene', '');
        
        config('common.where_slug_unique', false);
        
        return \daicuo\Term::save_all([
            [
                'term_order'      => 0,
                'term_parent'     => 0,
                'term_type'       => 'navs',
                'term_tpl'        => 'index',
                'term_name'       => '申请友链',
                'term_slug'       => 'publishlinks',
                'term_info'       => '免费申请友情链拉',
                'term_action'     => 'links',
                'term_controll'   => 'publish',
                'term_module'     => 'friend',
                'term_status'     => 'normal',
                'navs_url'        => 'friend/publish/index',
                'navs_active'     => 'friendpublishindex',
                'navs_target'     => '_self',
            ],
        ]);
    }
    
    //批量添加友链
    public function insertFriend()
    {
        config('common.validate_name', '');
        
        config('common.validate_scene', '');
        
        config('common.where_slug_unique', false);
        
        config('custom_fields.info_meta', ['info_referer']);

        $list = [
            [
                'info_name'      => '呆错开发框架',
                'info_referer'   => 'https://www.daicuo.org',
                'info_order'     => 99,
                'info_module'    => 'friend',
                'info_controll'  => 'detail',
                'info_action'    => 'index',
                'info_staus'     => 'normal',
            ],
            [
                'info_name'      => '飞飞影视系统',
                'info_referer'   => 'https://www.feifeicms.org',
                'info_order'     => 98,
                'info_module'    => 'friend',
                'info_controll'  => 'detail',
                'info_action'    => 'index',
                'info_staus'     => 'normal',
            ],
            [
                'info_name'      => '呆错站长论坛',
                'info_referer'   => 'http://bbs.daicuo.org',
                'info_order'     => 97,
                'info_module'    => 'friend',
                'info_controll'  => 'detail',
                'info_action'    => 'index',
                'info_staus'     => 'normal',
            ],
        ];
        
        foreach($list as $key=>$post){
            \daicuo\Info::save($post, 'info_meta');
        }
        
        return true;
    }
    
    //按插件应用名删除数据
    public function delete()
    {
        //删除插件配置
        \daicuo\Op::delete_module('friend');
    
        //删除插件分类/标签/导航
        \daicuo\Term::delete_module('friend');
        
        //删除内容数据
        \daicuo\Info::delete_module('friend');
    }
    
}